DocEngine.prototype.new_page = function(macro, ts) {
    log("new_page");
    if (cfg.standard.doc.heading_from_new_page) {
        if (!macro.HasParam("doc_heading") || macro.GetParam("doc_heading")) {
            var text = macro.GetParam("new_step");
            if (text != "") {
                var parastyle = word_trans('para_heading') + (cfg.standard.doc.singledoc_headinglevel + 1);
                this.add_html_paragraph(parastyle, text);
            }
        }
    }

    var sc = this.create_macro_image(macro);
    this.set_cur_sc(sc);
    if (this.cur_sc) this.add_screenshot(this.cur_sc);
};
